For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update Tier

This will change a user's tier immediately to the new package you specify. If payment is required, it will automatically be processed.

A recurring_payment_updated webhook is sent when an update is successful.

Update user's tier to a new package

patch

Updates a tier to a new package. A recurring payment updated webhook is sent when an update is successful.

Authorizations
AuthorizationstringRequired
Path parameters
tierIdintegerRequired

The tier identifier

Example: 6276316
Body
package_idintegerOptionalExample: 6834822
Responses
200

Successful response.

application/json
successbooleanOptionalExample: true
messagestringOptionalExample: Tier successfully upgraded, please allow a few moments for your changes to take effect.
patch/tiers/{tierId}
PATCH /api/accounts/tiers/{tierId} HTTP/1.1
Host: headless.tebex.io/
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 22

{
  "package_id": 6834822
}
200

Successful response.

{
  "success": true,
  "message": "Tier successfully upgraded, please allow a few moments for your changes to take effect."
}

Last updated